Bug 33891 - Configurable default account names in univention-directory-manager-modules / license.py
Configurable default account names in univention-directory-manager-modules / ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on: 33893
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-09 18:38 CET by Arvid Requate
Modified: 2017-07-05 13:06 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.017
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Internationalization
Max CVSS v3 score:
requate: Patch_Available+


Attachments
custom_Administrator_univention-directory-manager-modules.patch (2.16 KB, patch)
2014-01-09 18:38 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-01-09 18:38:48 CET
Created attachment 5722 [details]
custom_Administrator_univention-directory-manager-modules.patch

The name of the role account "Administrator" should be configurable.


+++ This bug was initially created as a clone of Bug #33890 +++
Comment 1 Florian Best univentionstaff 2016-09-24 14:53:09 CEST
Still unfixed. Patch available. I guess users will like this because they can bypass the license restrictions via UCR then.
Comment 2 Florian Best univentionstaff 2017-06-29 20:20:32 CEST
@Johannes:
Please apply the patch without the first hunk and the python comments should be styles like our coding guide, e.g.: 
custom_username('SBSMonAcct'),  # SBS account
Comment 3 Johannes Keiser univentionstaff 2017-06-30 14:39:12 CEST
(In reply to Arvid Requate from comment #0)
> Created attachment 5722 [details]
> custom_Administrator_univention-directory-manager-modules.patch
> 
> The name of the role account "Administrator" should be configurable.
> 
> 
> +++ This bug was initially created as a clone of Bug #33890 +++

(In reply to Florian Best from comment #2)
> @Johannes:
> Please apply the patch without the first hunk and the python comments should
> be styles like our coding guide, e.g.: 
> custom_username('SBSMonAcct'),  # SBS account

Applied rebased patch:

r 80678
univention-directory-manager-modules (12.0.17-38) 
* Bug #33891: Applied patch from Arvid Requate - Make name of role account
"Administrator" configurable

YAML: r 80679
Comment 4 Florian Best univentionstaff 2017-06-30 15:01:17 CEST
OK: univention-license-check
OK: YAML (adjusted in r80683)
Comment 5 Janek Walkenhorst univentionstaff 2017-07-05 13:06:09 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>